%define upstream_name Text_Highlighter
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.7.3
Release:     	%mkrel 2
Summary:    	Syntax highlighting
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Text_Highlighter-%{version}.tgz
URL: 		http://pear.php.net/package/Text_Highlighter
BuildRequires: 	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear 
Requires:	php-pear-XML_Parser >= 1.0.1
Requires:	php-pear-Console_Getopt >= 1.0
BuildArch: noarch

%description
Text_Highlighter is a package for syntax highlighting.

It provides a base class provining all the functionality,
and a descendent classes geneator class.

The main idea is to simplify creation of subclasses
implementing syntax highlighting for particular language.
Subclasses do not implement any new functioanality,
they just provide syntax highlighting rules.
The rules sources are in XML format.

To create a highlighter for a language, there is no need
to code a new class manually. Simply describe the rules
in XML file and use Text_Highlighter_Generator to create
a new class.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Text_Highlighter.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Text_Highlighter.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Text_Highlighter
fi

%files
%defattr(-,root,root)
%doc docs/Text_Highlighter/*
%{peardir}/*
%{_bindir}/generate
%{_bindir}/generate.bat
%{xmldir}/Text_Highlighter.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.7.3-2.mga3
+ Revision: 377326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 13 2012 spuhler <spuhler> 0.7.3-1.mga2
+ Revision: 195598
- upgrade to 0.7.3
  pearized spec

* Fri Jan 21 2011 spuhler <spuhler> 0.7.1-5.mga1
+ Revision: 28024
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Text_Highlighter

